import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';

<Meta title="Icon/Icons/digi-icon-toggle-off" />

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the standard icon.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-icon-toggle-off></digi-icon-toggle-off>
    `}
  </Story>
</Canvas>

## With Title and Description

Icons accept an optional title and description, which map directly to `<title>` and `<desc>` in the svg element.

<Canvas>
  <Story name="With Title and Desc">
    /* html */
    {`
      <digi-icon-toggle-off
        af-title="I am a title"
        af-desc="I am a description"
      ></digi-icon-toggle-off>
    `}
  </Story>
</Canvas>
